# Source code for azure.mgmt.scheduler.models.basic_authentication_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from .http_authentication_py3 import HttpAuthentication

    class BasicAuthentication(HttpAuthentication):
        """BasicAuthentication.

        All required parameters must be populated in order to send to Azure.

        :param type: Required. Constant filled by server.
        :type type: str
        :param username: Gets or sets the username.
        :type username: str
        :param password: Gets or sets the password, return value will always be
         empty.
        :type password: str
        """

        _validation = {
            'type': {'required': True},
        }

        _attribute_map = {
            'type': {'key': 'type', 'type': 'str'},
            'username': {'key': 'username', 'type': 'str'},
            'password': {'key': 'password', 'type': 'str'},
        }

        def __init__(self, *, username: str=None, password: str=None, **kwargs) -> None:
            super(BasicAuthentication, self).__init__(**kwargs)
            self.username = username
            self.password = password
            self.type = 'Basic'